# Author : Udhyakumar N
# Date   : 01-12-2003
# Notes  : Extract the list of files 

use FileHandle;
use strict;
use Getopt::Std;

getopts("d:e:m:o:");
if ( !defined ( $Getopt::Std::opt_d ) || !defined ( $Getopt::Std::opt_o ) || !defined ( $Getopt::Std::opt_e ) || !defined ( $Getopt::Std::opt_d ))
{
	print "All options are not defined\n";
	print "Usage:\n$0 -d dir -e file ext -m modified ext -o outputfilename\n";
	print "eg: perl GenerateFileList.pl -d ./data -e sph -m mfc -o mfclist.txt\n";
	die ( "\n" );
}

my ( $root )      = $Getopt::Std::opt_d;
my ( $ofilename ) = $Getopt::Std::opt_o;
my ( $ext )       = $Getopt::Std::opt_e;
my ( $modext )    = $Getopt::Std::opt_m;

my ( $ofh ) = new FileHandle $ofilename, "w";

&listFiles( $root, $ofh, $ext, $modext );
$ofh->close ();


sub listFiles
{
	my ( $root, $ofh, $ext, $modext ) = @_;

	# Linux: List the contents of the directory
	my ( @sub_dir ) = <$root/*>;

	# Windows: List the contents of the directory
	# my ( @sub_dir ) = <$root\\*>;

	my ( $s_dir, $isValidFile );


	foreach $s_dir ( @sub_dir ) 
	{
		if ( -d $s_dir ) 
		{
			&listFiles( $s_dir, $ofh, $ext, $modext );
		}
		else
		{
			$isValidFile = $s_dir =~ /.$ext/;
			if ($isValidFile)
			{
				$sdir =~ s/.$ext/.$modext/;
	   			print "$s_dir\n";
         			$ofh->printf("$s_dir\n"); 
			}
		}

	}
}
