# Author : Udhyakumar N
# Date   : 04-12-2003
# Notes  : Prepare the list of words from the file names 

use strict;
use Getopt::Std;

getopts("i:o:");
if ( !defined ( $Getopt::Std::opt_i ) || !defined ( $Getopt::Std::opt_o ) )
{
	printf "All options are not defined\n";
	printf "Usage:\n$0 -i Inputfilelist -o Output Wordlist\n";
	printf ("eg: perl GenerateWordList.pl -i filelist.scp -o Words.txt\n");
	die ( "\n" );
} 

my ( $iScpfilename )  = $Getopt::Std::opt_i;
my ( $oWordListname ) = $Getopt::Std::opt_o;


unless ( open ( fInputScp, "$iScpfilename" ) )
{
	die  ("FATAL Error: Cannot open file $iScpfilename\n" );
}
unless ( open ( fOutputWordlist, ">$oWordListname" ) ) 
{
	die  ("FATAL Error: Cannot open file $oWordListname\n" );
}

my ( $line, $word );
my ( %wordlist );

while ( $line = <fInputScp> )
{
	chomp($line);

	$word = $line;
	
	# Linux: Chop off the path and retain the filename
	$word =~ s/.*\///;

	# Windows: Chop off the path and retain the filename
	# $word =~ s/.*\\//;

	# Chop of the number and extension in the filename
	$word =~ s/[0-9]+.*//;
	
	# Insert the word into the list
	%wordlist{$word} = 1;
}

my ( @words ) = sort keys(%wordlist);

foreach $word ( @words )
{
	print fOutputWordlist ( "$words\n" );
}
 
# Close the files
close (fInputScp);
close (fOutputWordlist);
