# Author : Udhyakumar N
# Date   : 25-01-2004
# Title  : Merges the speech and mfc file lists for feature extraction by HCopy

use strict;
use Getopt::Std;

getopts("w:m:o:");

if ( !defined ($Getopt::Std::opt_w) || !defined ($Getopt::Std::opt_m) || !defined ($Getopt::Std::opt_o) )
{
	print ( "All options are not defined \n" );
	print ( "Usage $0 -w /usr/data/TrainRaw.scp -m /usr/data/TrainMfc.scp -o /usr/data/Train.scp\n" );
	die ( "\n" );
}

my ( $iRawfilelist   ) = $Getopt::Std::opt_w;
my ( $iMfcfilelist   ) = $Getopt::Std::opt_m;
my ( $oMergefilelist ) = $Getopt::Std::opt_o;

unless ( open ( fRawFile, $iRawfilelist ) )
{
	print ( "Cannot open file $iRawfilelist" );
	die ("\n");
}

unless ( open ( fMfcFile, $iMfcfilelist ) )
{
	print ( "cannot open file $iMfcfilelist" );
	die ("\n");
}

unless ( open ( fMergeFile, ">$oMergefilelist" ) )
{
	print ( "cannot open file $oMergefilelist" );
	die ("\n");
}

my ( $rawfilename, $mfcfilename );

while ( ($rawfilename = <fRawFile>) && ($mfcfilename = <fMfcFile>) )
{
	chomp($rawfilename);
	chomp($mfcfilename);

	print fMergeFile ("$rawfilename $mfcfilename\n");
	print STDOUT ("$rawfilename -> $mfcfilename\n");
}

close( fRawFile );
close( fMfcFile );
close( fMergeFile );
