# Author : Udhyakumar N
# Date   : 12-01-2003
# Notes  : Prepare MLF from the list of files 

use strict;
use Getopt::Std;
getopts("i:o:");

if ( !defined ( $Getopt::Std::opt_i ) || !defined ( $Getopt::Std::opt_o ) )
{
	printf "All options are not defined\n";
	printf "Usage:\n$0 -i Inputfilelist -o outputMlffile\n";
	printf ("eg: perl Scp2Mlf.pl -i filelist.scp -o Word.mlf\n");
	die ( "\n" );
} 

my ( $iScpfilename )   = $Getopt::Std::opt_i;
my ( $oMlffilename )   = $Getopt::Std::opt_o;

unless ( open ( fInputScp, "$iScpfilename" ) )
{
	die  ("FATAL Error: Cannot open file $iScpfilename\n" );
}
unless ( open ( fOutputMLF, ">$oMlffilename" ) ) 
{
	die  ("FATAL Error: Cannot open file $oMlffilename\n" );
}

my ( $line, $word, $path );

print fOutputMLF ("#!MLF!#\n");

while ( $line = <fInputScp> )
{
	chomp($line);

	$word = $line;
	
	# Linux : Chop off the path
	$word =~ s/.*\///;

	# Windows : Chop off the path
	# $word =~ s/.*\\//;

	$path = $word;
	$path =~ s/wav/lab/;

	print fOutputMLF ("\"\*\/$path\"\n");
	$word =~ s/[0-9]+.*//;
	
	# Translate the words
	if ( $word eq "zero" )
	{
		$word = "puujiyam";
	}
	elsif ( $word eq "one" )
	{
		$word = "oNNu";
	}
	elsif ( $word eq "two" )
	{
		$word = "iraNtu";
	}
	elsif ( $word eq "three" )
	{
		$word = "muuNu";
	}
	elsif ( $word eq "four" )
	{
		$word = "ndaalu";
	}
	elsif ( $word eq "five" )
	{
		$word = "anjchu";
	}
	elsif ( $word eq "six" )
	{
		$word = "aaRu";
	}
	elsif ( $word eq "seven" )
	{
		$word = "eezu";
	}
	elsif ( $word eq "eight" )
	{
		$word = "ettu";
	}
	elsif ( $word eq "nine" )
	{
		$word = "onpathu";
	}
	elsif ( $word eq "ten" )
	{
		$word = "paththu";
	}

	print fOutputMLF ("$word\n\.\n");
}

close ( fOutputMLF );
close ( fInputScp );
