# Author : Udhyakumar N
# Date   : 23-01-2004
# Notes  : Create MMF file from proto defenition file

use strict;
use Getopt::Std;

getopts("i:m:o:");

if ( !defined ($Getopt::Std::opt_i) || !defined ($Getopt::Std::opt_m) || !defined ($Getopt::Std::opt_o) )
{
	print ( "All options are not defined \n" );
	print ( "Usage $0 -i ProtoDefnfile -m Monophoneslist -o HMMDefnfile\n" );
	die ( "\n" );
}

my ( $iProtofilename ) = $Getopt::Std::opt_i;
my ( $iMonofilename )  = $Getopt::Std::opt_m;
my ( $oMMFfilename )   = $Getopt::Std::opt_o;


unless ( open ( fInputProto , "$iProtofilename" ) ) 
{
	die  ("cannot open file $iProtofilename\n" );
}

unless ( open ( fInputMono, "$iMonofilename" ) )
{
	die  ("cannot open file $iMonofilename\n" );
}

unless ( open ( fOutputMMF, ">$oMMFfilename" ) )
{
	die  ("cannot open file $oMMFfilename\n" );
}

my ( @proto )  = <fInputProto>;
close ( fInputProto );
my ( $sproto );
$sproto = join ("", @proto); 

my ( $monoProto, $Monophone );

while ($Monophone = <fInputMono>)
{
	chomp($Monophone);
	print STDOUT ("$Monophone\n");
	$monoProto  =  $sproto;
	$monoProto  =~ s/proto/$Monophone/;
	
	print fOutputMMF ( $monoProto );

}

close ( fInputMono );
close ( fOutputMMF );
