# Author : Udhyakumar N
# Date   : 23-01-2004
# Notes  : Create Macro file from the vFloors

use strict;
use Getopt::Std;

getopts("v:o:");

if ( !defined ($Getopt::Std::opt_v) || !defined ($Getopt::Std::opt_o) )
{
	print ( "All options are not defined \n" );
	print ( "Usage $0 -v varFloorfile -o macrofile\n" );
	die ( "\n" );
}

my ( $iFloorfilename ) = $Getopt::Std::opt_v;
my ( $oMacrofilename ) = $Getopt::Std::opt_o;

unless ( open ( fInputFloor , "$iFloorfilename" ) ) 
{
	die  ("cannot open file $iFloorfilename\n" );
}

unless ( open ( fOutputMacro, ">$oMacrofilename" ) )
{
	die  ("cannot open file $oMacrofilename\n" );
}

my ( @floordata ) = <fInputFloor>;
close ( fInputFloor );

my ( $sfloordata );
$sfloordata = join ( "", @floordata );

print fOutputMacro "~o\n<VecSize> 39\n<MFCC_0_D_A>\n";
print fOutputMacro $sfloordata;

close ( fOutputMacro );
