# Author : Udhyakumar N
# Date   : 17-01-2004
# Notes  : Extract valid aligned files from the HVite log file

use strict;
use Getopt::Std;
getopts("l:s:");

if ( !defined ( $Getopt::Std::opt_l ) || !defined ( $Getopt::Std::opt_s ) )
{
	printf "All options are not defined\n";
	printf "Usage:\n$0 -l <HVitelogfile> -s <OutputMfclistfile>\n";
	printf ("eg: perl makeMfc1.pl -l /usr/data/log/HVitelog.txt -s TrainMfc_pr.scp\n");
	die ( "\n" );
} 
my ( $iHvFileName )   = $Getopt::Std::opt_l;
my ( $oFileName )     = $Getopt::Std::opt_s;

unless ( open ( finFile,$iHvFileName ) )
{
	die ( "Cannot open file $iHvFileName \n" );
}

unless ( open ( foutFile,">$oFileName" ) )
{
	die ( "Cannot open file $oFileName \n" );
}

my (  $line );
my ( $index , @line_contents , @file_Contents );

# Omit the first two lines in the log file #
$line = <finFile>;
$line = <finFile>;

@file_Contents = <finFile>;
close ( finFile );

$index = 0; 
while ( $index  < @file_Contents )
{
	my ($fileName);
	@line_contents = split (/ +/ , $file_Contents[$index] );
	$fileName  = $line_contents[2];
	$line =  $file_Contents[$index+2];
	if( $line !~ /^No tokens/ )
	{
		print foutFile ("$fileName");
	}
	$index = $index + 3;
}

close (foutFile);
